Subject: Re: Optimize cygwin on recent windows version (Vista and Seven)
From: "Vincent R." <[email-masked]>
To: Chris Sutcliffe <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 16 Jun 2009 14:52:52 +0200
List-Id: <cygwin.cygwin.com>

On Tue, 16 Jun 2009 08:17:19 -0400, Chris Sutcliffe <[email-masked]>
wrote:
>> >> Times taken were:
>> >> Linux : 1.5 mimutes
>> >> XP (mingw):  6.5 minutes
>> >> Vista (mingw): 16.5 minutes
>> >> Vista (cygwin): 23.25 minutes
>>
>> Yes these figures are a good example of what I am talking about and here
>> is
>> an additional benchmark
>> done when compiling binutils (time ../build-mingw32ce.sh -j2
>> --comp=binutils)
> 
> If UAC is disabled, does it improve performance?
> 
not at all. Doesn't change anything.
The next step would be to do some profiling but I am not expert with gprof.
I think that Dave Korn already did something like that, I hope he will
comment.
Another solution is to try to do some kernel debugging with windbg and see
if some useful
information can be found.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/